/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.marmotta.ldpath.model;

/**
 * Add file description here!
 * <p/>
 * Author: Sebastian Schaffert
 */
public class Constants {

    public static final String NS_XSD          = "http://www.w3.org/2001/XMLSchema#";


    public static final String NS_RDF          = "http://www.w3.org/1999/02/22-rdf-syntax-ns#";
    public static final String NS_RDFS         = "http://www.w3.org/2000/01/rdf-schema#";
    public static final String NS_OWL          = "http://www.w3.org/2002/07/owl#";


    public static final String NS_FOAF         = "http://xmlns.com/foaf/0.1/";
    public static final String NS_DC           = "http://purl.org/dc/elements/1.1/";
    public static final String NS_SKOS         = "http://www.w3.org/2004/02/skos/core#";


    // LMF Namespaces
    public static final String NS_LMF_TYPES    = "http://www.newmedialab.at/lmf/types/1.0/";
    public static final String NS_LMF_FUNCS    = "http://www.newmedialab.at/lmf/functions/1.0/";

}
